- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::PropertyBase Class Referenceabstract

`#include <property.hpp>`

## Public Member Functions
| PropertyBase ()=default
| PropertyBase (const PropertyBase &)=delete
PropertyBase & | operator= (const PropertyBase &)=delete
virtual | ~PropertyBase ()=default
virtual SignalBase * | signal ()=0
virtual FutureSync< void > | setValue (AutoAnyReference value)=0
virtual FutureSync< AnyValue > | value () const =0

## Detailed Description

Type-erased virtual interface implemented by all Property classes.

Definition at line 30 of file property.hpp.

## Constructor & Destructor Documentation

qi::PropertyBase::PropertyBase | ( |  | ) |
| default

qi::PropertyBase::PropertyBase | ( | const PropertyBase & |  | ) |
| delete

virtual qi::PropertyBase::~PropertyBase | ( |  | ) |
| virtual default

## Member Function Documentation

PropertyBase& qi::PropertyBase::operator= | ( | const PropertyBase & |  | ) |
| delete

virtual FutureSync<void> qi::PropertyBase::setValue | ( | AutoAnyReference | value | ) |
| pure virtual

Implemented in qi::GenericProperty, qi::Property< T >, qi::Property< bool >, qi::Property< AnyValue >, qi::Property< qi::ServiceDirectoryProxy::Status >, and qi::UnsafeProperty< T >.

virtual SignalBase* qi::PropertyBase::signal | ( |  | ) |
| pure virtual

Implemented in qi::Property< T >, qi::Property< bool >, qi::Property< AnyValue >, qi::Property< qi::ServiceDirectoryProxy::Status >, qi::UnsafeProperty< T >, qi::PropertyImpl< T >, qi::PropertyImpl< bool >, qi::PropertyImpl< AnyValue >, and qi::PropertyImpl< qi::ServiceDirectoryProxy::Status >.

virtual FutureSync<AnyValue> qi::PropertyBase::value | ( |  | ) | const
| pure virtual

Implemented in qi::Property< T >, qi::Property< bool >, qi::Property< AnyValue >, qi::Property< qi::ServiceDirectoryProxy::Status >, and qi::UnsafeProperty< T >.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/property.hpp